Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.uci.ics.jung.visualization.control
Class ModalGraphMouse.Mode

    java.lang.Object
      edu.uci.ics.jung.visualization.control.ModalGraphMouse.Mode

All Implemented Interfaces:
  Serializable

Enclosing class:
  ModalGraphMouse

public static class ModalGraphMouse.Mode
extends Object
implements Serializable

The Mode class implements the typesafe enum pattern. This pattern is fully described in Joshua Bloch's book Effective Java Programming Language Guide, Item 21. Created: Sun Aug 28 10:25:16 2005

Version:
  1.0
Author:
  Tom Nelson
See Also:
  Serialized Form

Field Summary
`static ModalGraphMouse.Mode` | `EDITING`
`static ModalGraphMouse.Mode` | `PICKING`
`static ModalGraphMouse.Mode` | `TRANSFORMING`
`static List` | `VALUES`

Method Summary
`String` | `getMode()` Gets the value of mode
`static List` | `getValues()` Gets a list of Mode constants.
`String` | `toString()` Returns a string representation of this object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### TRANSFORMING

    public static final ModalGraphMouse.Mode TRANSFORMING

### PICKING

    public static final ModalGraphMouse.Mode PICKING

### EDITING

    public static final ModalGraphMouse.Mode EDITING

### VALUES

    public static final List VALUES

Method Detail

### getMode

    public String getMode()

  Gets the value of mode

  Returns:
    the value of mode

### getValues

    public static List getValues()

  Gets a list of Mode constants.

  Returns:
    a list of Mode constants

### toString

    public String toString()

  Returns a string representation of this object.

  Returns:
    a string representation of this object.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD